Bug 821337 - [abrt] library name clash with oracle libexpat.so.1 ImportError: /usr/lib64/python2.7/lib-dynload/pyexpat.so: undefined symbol: XML_SetHashSalt
[abrt] library name clash with oracle libexpat.so.1 ImportError: /usr/lib64/p...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: python (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bohuslav "Slavek" Kabrda
Fedora Extras Quality Assurance
abrt_hash:1ad9ffcd7706762ebc436c81329...
: Reopened
: 823296 829531 830597 835548 838366 850983 851195 855610 861998 923391 949920 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-14 03:26 EDT by Jefferson Elias
Modified: 2013-08-01 12:52 EDT (History)
20 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 12:52:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (7.40 KB, text/plain)
2012-05-14 03:26 EDT, Jefferson Elias
no flags Details

  None (edit)
Description Jefferson Elias 2012-05-14 03:26:31 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
cmdline:        /usr/bin/python /usr/share/system-config-printer/system-config-printer.py
executable:     /usr/share/system-config-printer/system-config-printer.py
kernel:         3.3.4-3.fc17.x86_64
time:           lun 14 mai 2012 09:25:53 CEST
uid:            1000
username:       jeff

backtrace:      Text file, 7574 bytes
Comment 1 Jefferson Elias 2012-05-14 03:26:34 EDT
Created attachment 584274 [details]
File: backtrace
Comment 2 Jiri Popelka 2012-05-14 05:57:11 EDT
Thank you for the report.
What do the following commands show ?
rpm -q python-libs
rpm -V python-libs
Comment 3 Jefferson Elias 2012-05-14 05:59:14 EDT
Hello,

rpm -q python-libs
python-libs-2.7.3-6.fc17.x86_64

rpm -V python-libs
returns nothing
Comment 4 Jiri Popelka 2012-05-14 06:10:00 EDT
thanks, and what about:
python -c 'from pyexpat import *'
Comment 5 Jefferson Elias 2012-05-14 06:13:53 EDT
python -c 'from pyexpat import *'
Traceback (most recent call last):
  File "<string>", line 1, in <module>
ImportError: /usr/lib64/python2.7/lib-dynload/pyexpat.so: undefined symbol: XML_SetHashSalt
Comment 6 Thomas Spura 2012-05-21 10:51:40 EDT
What is the output of:
rpm -q expat ?

This should be fixed in expat-2.1.0 (which is stable for quite some time now)
Comment 7 Thomas Spura 2012-05-21 10:52:02 EDT
*** Bug 823296 has been marked as a duplicate of this bug. ***
Comment 8 Jefferson Elias 2012-05-21 11:04:38 EDT
rpm -q expat
expat-2.1.0-1.fc17.x86_64
expat-2.1.0-1.fc17.i686
Comment 9 Andy Wang 2012-05-31 17:47:16 EDT
try ldd /usr/lib64/python2.7/lib-dynload/pyexpat.so

I have oracle installed and as a result of LD_LIBRARY_PATH=/opt/oracle/product/11.2.0/db_1/lib

it's picking up the wrong expat
Comment 10 Jefferson Elias 2012-06-01 01:29:35 EDT
try ldd /usr/lib64/python2.7/lib-dynload/pyexpat.so
	linux-vdso.so.1 =>  (0x00007fff679ff000)
	libexpat.so.1 => /home/jeff/app/jeff/product/11.2.0/client_1/lib/libexpat.so.1 (0x00007f6da898e000)
	libpython2.7.so.1.0 => /lib64/libpython2.7.so.1.0 (0x00007f6da85b3000)
	libpthread.so.0 => /lib64/libpthread.so.0 (0x00007f6da8397000)
	libc.so.6 => /lib64/libc.so.6 (0x00007f6da7fe0000)
	libdl.so.2 => /lib64/libdl.so.2 (0x00007f6da7ddb000)
	libutil.so.1 => /lib64/libutil.so.1 (0x00007f6da7bd8000)
	libm.so.6 => /lib64/libm.so.6 (0x00007f6da78dd000)
	/lib64/ld-linux-x86-64.so.2 (0x00000032f4200000)
Comment 11 Thomas Spura 2012-06-01 04:23:40 EDT
(In reply to comment #9)
> try ldd /usr/lib64/python2.7/lib-dynload/pyexpat.so
> 
> I have oracle installed and as a result of
> LD_LIBRARY_PATH=/opt/oracle/product/11.2.0/db_1/lib
> 
> it's picking up the wrong expat

Thanks for pointing that out!

So I guess we cannot resolve this name clash of the library. The only thing expat can do is to bump the SONAME, so it differs from oracle.

Reassigning to expat, as XML_SetHashSalt was added without bumping the SONAME anyway, so they can decide to either bump or not.
Comment 12 Joe Orton 2012-06-01 05:25:34 EDT
No.   If you set LD_LIBRARY_PATH to a directory containing libraries with the same soname as Fedora system libraries, the behaviour of Fedora binaries is no longer predictable.
Comment 13 Joe Orton 2012-06-08 09:08:11 EDT
*** Bug 829531 has been marked as a duplicate of this bug. ***
Comment 14 Mladen Gogala 2012-06-08 11:59:27 EDT
I had a duplicate bug opened with precisely the same problem as described here. My workaround was to install the instant client and point my ORACLE_HOME there. Instant client doesn't contain the expat library, so all is well for now.
Comment 15 Joe Orton 2012-07-02 05:34:11 EDT
*** Bug 835548 has been marked as a duplicate of this bug. ***
Comment 16 Jiri Popelka 2012-07-09 08:24:43 EDT
*** Bug 838366 has been marked as a duplicate of this bug. ***
Comment 17 Jiri Popelka 2012-08-23 09:52:19 EDT
*** Bug 851195 has been marked as a duplicate of this bug. ***
Comment 18 Jiri Popelka 2012-08-23 09:52:57 EDT
*** Bug 830597 has been marked as a duplicate of this bug. ***
Comment 19 Jiri Popelka 2012-08-23 09:53:21 EDT
*** Bug 850983 has been marked as a duplicate of this bug. ***
Comment 21 Miroslav Grepl 2012-09-10 10:48:24 EDT
*** Bug 855610 has been marked as a duplicate of this bug. ***
Comment 22 Jiri Popelka 2012-10-01 10:48:29 EDT
*** Bug 861998 has been marked as a duplicate of this bug. ***
Comment 24 Dave Malcolm 2012-10-01 11:03:49 EDT
I'll see if I can add workaround to this from the python side.
Comment 25 Michel Landrain 2012-12-05 16:58:09 EST
Cet incident est survenu depuis que j'ai désactivé le Pare feu

Package: system-config-firewall-1.2.29-7.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 26 Jiri Popelka 2013-03-20 06:04:57 EDT
*** Bug 923391 has been marked as a duplicate of this bug. ***
Comment 27 Thomas Spura 2013-04-10 05:20:00 EDT
*** Bug 949920 has been marked as a duplicate of this bug. ***
Comment 28 Fedora Admin XMLRPC Client 2013-05-10 00:58:57 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 29 Fedora Admin XMLRPC Client 2013-05-10 01:00:30 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 30 Fedora Admin XMLRPC Client 2013-05-10 01:04:27 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 31 Fedora Admin XMLRPC Client 2013-05-10 01:12:25 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 32 Fedora Admin XMLRPC Client 2013-05-10 01:12:36 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 33 Fedora End Of Life 2013-07-04 01:40:39 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 34 Fedora End Of Life 2013-08-01 12:52:35 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.